Type.registerNamespace("Telerik.Web.UI.Scheduler.Views.Month");
Telerik.Web.UI.Scheduler.Views.Month.Model=function(_1,_2){
this._owner=_1;
this._modelData=Sys.Serialization.JavaScriptSerializer.deserialize(_2);
this._start=new Date(Date.parse(this._modelData.start));
};
Telerik.Web.UI.Scheduler.Views.Month.Model.prototype={initialize:function(){
},getTimeSlotFromDomElement:function(_3){
var _4=this._getRawIndexFromDomElement(_3);
var _5=this._getTimeFromDomElement(_3);
return new Telerik.Web.UI.Scheduler.Views.Month.TimeSlot(_4,_5,_3);
},_getTimeFromDomElement:function(_6){
var _7=this._getRawIndexFromDomElement(_6);
return this._getTimeFromIndex(_7);
},_getTimeFromIndex:function(_8){
var _9=new Date(this._modelData.start);
var _a=this._modelData.weekLength;
var _b=Math.floor(_8.dayIndex/_a);
var _c=_8.dayIndex%_a;
var _d=(_b*7)+_c;
Telerik.Web.UI.RadScheduler._incrementTime(_9,24*_d,0);
return _9;
},_getRawIndexFromDomElement:function(_e){
while(_e&&(_e.tagName.toUpperCase()!="TD")){
_e=_e.parentNode;
}
if(_e){
var _f=_e.parentNode;
var _10=_f.cells.length;
var _11=_e.cellIndex;
var _12=_f.rowIndex;
return {dayIndex:(_10*_12)+_11};
}
return null;
}};
Telerik.Web.UI.Scheduler.Views.Month.Model.registerClass("Telerik.Web.UI.Scheduler.Views.Month.Model",null,Telerik.Web.UI.ISchedulerModel);
Telerik.Web.UI.Scheduler.Views.Month.TimeSlot=function(_13,_14,_15){
this._rawIndex=_13;
this._startTime=_14;
this._domElement=_15;
};
Telerik.Web.UI.Scheduler.Views.Month.TimeSlot.prototype={get_index:function(){
var _16=this.get_rawIndex();
return String.format("{0}",_16.dayIndex);
},get_rawIndex:function(){
return this._rawIndex;
},get_startTime:function(){
return this._startTime;
},get_duration:function(){
return 1440;
},get_isAllDay:function(){
return true;
},get_domElement:function(){
return this._domElement;
}};
Telerik.Web.UI.Scheduler.Views.Month.TimeSlot.registerClass("Telerik.Web.UI.Scheduler.Views.Month.TimeSlot",null,Telerik.Web.UI.ISchedulerTimeSlot);

